<app-loading *ngIf="loading"></app-loading>
<div class="content-header">
  <div *ngIf="objFunction.create">
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.addNew' | translate}}" (click)="createCommitment()"
               mbButtonType="NO_BORDER" mbButtonAvailableStyle="PRIMARY">
    </mb-button>
  </div>
</div>

<div class="org-content-main">
  <div nz-row [nzGutter]="24">
    <div nz-col [nzSpan]="6">
      <hcm-mfe-employee-data-search-policy [mbCanText]="true" [ngModel]="" [ngModelOptions]="{standalone: true}"
                            [multiple]="false" (selectedChange)="onChange($event)" [mbDisable]="false" [functionCode]="functionCode"
                            mbLabelText="{{'polManagement.label.employeeCode' | translate}}">
      </hcm-mfe-employee-data-search-policy>
    </div>
    <div nz-col [nzSpan]="6">
      <mb-input-text [ngModel]="fullName" mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbDisable]="true"
                     mbLabelText="{{ 'polManagement.label.fullName' | translate }}"></mb-input-text>
    </div>
    <div nz-col [nzSpan]="6">
      <mb-input-text [(ngModel)]="orgName" mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbReadOnly]="true"
                     mbLabelText="{{ 'polManagement.label.org' | translate }}" (click)="showPopup()"></mb-input-text>
      <em
        *ngIf="orgName"
        nz-icon
        class="icon-close"
        (click)="clearOrgInput()"
        nzType="close-circle"
        nzTheme="outline"
      ></em>
    </div>
    <div nz-col [nzSpan]="6">
      <mb-input-text mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbDisable]="true"
                     mbLabelText="{{ 'polManagement.label.job' | translate }}" [ngModel]="jobName">
      </mb-input-text>
    </div>
  </div>
  <div nz-row class="org-content-main__row">
    <div nz-col [nzSpan]="24" class="org-content-main__search">
      <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM' (click)="search(0)"
                 mbButtonText="{{'common.button.search' | translate}}">
      </mb-button>
    </div>
  </div>

</div>

<div class='search__content--group'>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true">
    <mb-table [heightTable]="heightTable"
              (changePageNum)='search($event)'
              [tableConfig]='tableConfig' [tableData]='dataTable'></mb-table>
  </mb-table-wrap>
</div>

<ng-template #actionTmpl let-hrSalaryCommitmentId="hrSalaryCommitmentId" let-flagStatus='flagStatus' let-fromDate=fromDate>
  <div class="action-salary">
    <mb-button mbButtonAvailableStyle='CONTENT' *ngIf="objFunction.edit" (click)="editCommitment(hrSalaryCommitmentId)">
      <img src="../../../../../assets/images/icon/edit.png" alt='edit' width="18" height="18"
           nz-tooltip nzTooltipTitle="{{'polManagement.label.edit' | translate}}" nzTooltipPlacement="bottom"
     ></mb-button>
    <mb-button mbButtonAvailableStyle='CONTENT' *ngIf="objFunction.delete" (click)="deleteCommitment(hrSalaryCommitmentId, $event)">
      <img src="../../../../../assets/images/icon/delete-icon.svg" alt='delete'
           nz-tooltip nzTooltipTitle="{{'polManagement.label.delete' | translate}}" nzTooltipPlacement="bottom"></mb-button>
  </div>
</ng-template>

<ng-template #flagStatusTmpl let-flagStatus='flagStatus'>
  <div class="display-center">
    <nz-tag [nzColor]="renderFlagStatus(flagStatus).class">
      {{renderFlagStatus(flagStatus).text}}
    </nz-tag>
  </div>
</ng-template>
